# AppletGameContainer.ContainerPanel (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick
Class AppletGameContainer.ContainerPanel

    java.lang.Object
      org.newdawn.slick.AppletGameContainer.ContainerPanel

Enclosing class:
  AppletGameContainer

    public class AppletGameContainer.ContainerPanel

extends java.lang.Object

Create a new panel to display the GL context

Author:
  kevin

Constructor Summary
`AppletGameContainer.ContainerPanel(AppletGameContainer.Container container)` Create a new panel

Method Summary
`protected void` `initGL()` Initialise GL state
`void` `start()` Start the game container

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletGameContainer.ContainerPanel

    public AppletGameContainer.ContainerPanel(AppletGameContainer.Container container)

  Create a new panel

  Parameters:
    `container` - The container we're running

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Start the game container

  Throws:
    `java.lang.Exception` - Failure to create display

### initGL

    protected void initGL()

  Initialise GL state

Copyright © 2006 New Dawn Software. All Rights Reserved.